Skip to main content
POST
POST /api/tts

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
text
string
required
Required string length: 1 - 4096
language
string
Required string length: 2 - 16
Pattern: ^[A-Za-z]{2,3}([-_][A-Za-z0-9]{2,8})?$
voice
enum<string>
Available options:
alloy,
ash,
coral,
echo,
fable,
onyx,
nova,
sage,
shimmer

Response

Success

mimeType
string
required
Required string length: 1 - 100
audioBase64
string
required
Required string length: 1 - 8000000